Package org.apache.tools.ant.types

## Class Commandline.Argument

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.tools.ant.types.Commandline.Argument

All Implemented Interfaces:
  `java.lang.Cloneable`

Direct Known Subclasses:
  `ImplementationSpecificArgument`

Enclosing class:
  Commandline

    public static class Commandline.Argument
    extends ProjectComponent

Used for nested xml command line definitions.

### Field Summary

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`Argument()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `copyFrom​(Commandline.Argument other)` Copies settings from a different argument.
`java.lang.String[]` `getParts()` Return the constituent parts of this Argument.
`void` `setFile​(java.io.File value)` Set a single commandline argument to the absolute filename of the given file.
`void` `setLine​(java.lang.String line)` Set the line to split into several commandline arguments.
`void` `setPath​(Path value)` Set a single commandline argument and treats it like a PATH--ensuring the right separator for the local platform is used.
`void` `setPathref​(Reference value)` Set a single commandline argument from a reference to a path--ensuring the right separator for the local platform is used.
`void` `setPrefix​(java.lang.String prefix)` Set the prefix to be placed in front of every part of the argument.
`void` `setSuffix​(java.lang.String suffix)` Set the suffix to be placed at the end of every part of the argument.
`void` `setValue​(java.lang.String value)` Set a single commandline argument.

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Argument

    public Argument()

### Method Detail

#### setValue

    public void setValue​(java.lang.String value)

Set a single commandline argument.

Parameters:
  `value` - a single commandline argument.

#### setLine

    public void setLine​(java.lang.String line)

Set the line to split into several commandline arguments.

Parameters:
  `line` - line to split into several commandline arguments.

#### setPath

    public void setPath​(Path value)

Set a single commandline argument and treats it like a PATH--ensuring the right separator for the local platform is used.

Parameters:
  `value` - a single commandline argument.

#### setPathref

    public void setPathref​(Reference value)

Set a single commandline argument from a reference to a path--ensuring the right separator for the local platform is used.

Parameters:
  `value` - a single commandline argument.

#### setFile

    public void setFile​(java.io.File value)

Set a single commandline argument to the absolute filename of the given file.

Parameters:
  `value` - a single commandline argument.

#### setPrefix

    public void setPrefix​(java.lang.String prefix)

Set the prefix to be placed in front of every part of the argument.

Parameters:
  `prefix` - fixed prefix string.
Since:
  Ant 1.8.0

#### setSuffix

    public void setSuffix​(java.lang.String suffix)

Set the suffix to be placed at the end of every part of the argument.

Parameters:
  `suffix` - fixed suffix string.
Since:
  Ant 1.8.0

#### copyFrom

    public void copyFrom​(Commandline.Argument other)

Copies settings from a different argument.

Parameters:
  `other` - the argument to copy setting from
Since:
  Ant 1.10.6

#### getParts

    public java.lang.String[] getParts()

Return the constituent parts of this Argument.

Returns:
  an array of strings.